org.wildfly.swarm.config.security.manager

## Class DefaultDeploymentPermissions<T extends DefaultDeploymentPermissions<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.manager.DefaultDeploymentPermissions<T>

-     public class DefaultDeploymentPermissions<T extends DefaultDeploymentPermissions<T>>
      extends Object

  The permissions that are to be granted to deployments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeploymentPermissions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `maximumPermission(Map value)` The maximum set of permissions that can be granted to a deployment or jars.
    `List<Map>` | `maximumPermissions()` The maximum set of permissions that can be granted to a deployment or jars.
    `T` | `maximumPermissions(List<Map> value)` The maximum set of permissions that can be granted to a deployment or jars.
    `T` | `maximumPermissions(Map... args)` The maximum set of permissions that can be granted to a deployment or jars.
    `T` | `minimumPermission(Map value)` The minimum set of permissions to be granted to a deployment or jars.
    `List<Map>` | `minimumPermissions()` The minimum set of permissions to be granted to a deployment or jars.
    `T` | `minimumPermissions(List<Map> value)` The minimum set of permissions to be granted to a deployment or jars.
    `T` | `minimumPermissions(Map... args)` The minimum set of permissions to be granted to a deployment or jars.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDeploymentPermissions

          public DefaultDeploymentPermissions()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### maximumPermissions

          public List<Map> maximumPermissions()

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### maximumPermissions

          public T maximumPermissions(List<Map> value)

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### maximumPermission

          public T maximumPermission(Map value)

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### maximumPermissions

          public T maximumPermissions(Map... args)

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### minimumPermissions

          public List<Map> minimumPermissions()

      The minimum set of permissions to be granted to a deployment or jars.

    - #### minimumPermissions

          public T minimumPermissions(List<Map> value)

      The minimum set of permissions to be granted to a deployment or jars.

    - #### minimumPermission

          public T minimumPermission(Map value)

      The minimum set of permissions to be granted to a deployment or jars.

    - #### minimumPermissions

          public T minimumPermissions(Map... args)

      The minimum set of permissions to be granted to a deployment or jars.

Copyright © 2018 JBoss by Red Hat. All rights reserved.